package dev.fyloz.trial.colorrecipesexplorer.rest

import dev.fyloz.trial.colorrecipesexplorer.model.Recipe
import dev.fyloz.trial.colorrecipesexplorer.model.RecipeSaveDto
import dev.fyloz.trial.colorrecipesexplorer.model.RecipeUpdateDto
import dev.fyloz.trial.colorrecipesexplorer.service.RecipeService
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController


private const val RECIPE_CONTROLLER_PATH = "api/recipe"

@RestController
@RequestMapping(RECIPE_CONTROLLER_PATH)

class RecipeController(recipeService: RecipeService) :
    AbstractModelRestApiController<Recipe, RecipeSaveDto, RecipeUpdateDto, RecipeService>(
        recipeService,
        RECIPE_CONTROLLER_PATH
    )
